Description

Project Quick Jump Dropdown List - Sorting

Many of our users would like to see the list of current user's projects be sorted or sort-able.

Now

It looks like it is ordered in the same way the projects list page is ordered.

Problem

The problem with this is that once we have a lot of projects and sub-projects, the list is extremely hard for most users to use.

Proposal

I propose that the dropdown list be sort-able by the user in some fashion or to have a search capability.

Any method that makes it easier for the user to use the project quick jump dropdown to see a hierarchy when they want to, or to find

a specific project by name when they want to.

In its current state, the dropdown is basically useless to our users due to the number of projects and sub-projects.

This is another one of our biggest and most common complaint from the end-user group. It is very similar to the custom fields sort

order for the "add filter" dropdown.

Related issues:

Related to Redmine - Feature #19300: Projects Dropdown Field for Issues - Sor... New

Related to Redmine - Feature #23310: Improved "jump to project" drop-down Closed

History

#1 - 2015-03-07 01:08 - James H

Related to #19300 and #19298?

#2 - 2015-04-04 16:25 - Toshi MARUYAMA

- Related to Feature #19300: Projects Dropdown Field for Issues - Sorting/Ordering or Dynamic Searching of Projects added

#3 - 2017-01-15 03:44 - Go MAEDA

- Related to Feature #23310: Improved "jump to project" drop-down added

#4 - 2017-01-15 03:47 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

James H wrote:

Any method that makes it easier for the user to use the project quick jump dropdown to see a hierarchy when they want to, or to find a specific

project by name when they want to.
https://www.redmine.org/issues/19300
https://www.redmine.org/issues/19298


 Incremental search for projects in "Jump to project" drop-down was implemented by #23310, will be available in upcoming Redmine 3.4.0.

I am closing this issue.
